kafka 2.4 源码环境搭建

可以查看需要依赖的环境信息:

https://github.com/apache/kafka/blob/2.4/gradle/dependencies.gradle

// Add Scala version
def defaultScala211Version = '2.11.12'
def defaultScala212Version = '2.12.10'
def defaultScala213Version = '2.13.1'


 gradle: "5.6.2",
 gradleVersionsPlugin: "0.21.0",
 zookeeper: "3.5.8",

由于采用的版本不是最新的版本,需要下载较老的版本软件。

java的历史版本下载:
https://www.oracle.com/java/technologies/oracle-java-archive-downloads.html

scala的历史版本下载:
https://www.scala-lang.org/download/all.html

gradle的历史版本下载:
https://gradle.org/releases/

由此采用的版本如下:
oracle java 8.261
scala 2.12.12
gradle 5.6.2
IDEA 2019.3

基础软件的版本:

 

©️2020 CSDN 皮肤主题: 技术工厂 设计师:CSDN官方博客 返回首页